image: mcr.microsoft.com/dotnet/aspnet:7.0

stages:
  - build

build_job:
  stage: build
  tags:
  - shell
  before_script:
    - cd NomadStack
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD registry.gitlab.com
  script: 
    - docker build -t registry.gitlab.com/steinle.sergej.prog/nomad .
    -  docker push registry.gitlab.com/steinle.sergej.prog/nomad
  
  